View Game Round History
curl --request GET \
--url https://ss.game-services.work/platform/api/game-rounds \
--header 'Authorization: Bearer <token>'import requests
url = "https://ss.game-services.work/platform/api/game-rounds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ss.game-services.work/platform/api/game-rounds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
RGS API
View Game Round History
Retrieve the actions history for a specific game round.
View Game Round History

GET /platform/api/game-rounds
Headers
| Name | Type | Description |
|---|---|---|
| Authorization | string | Bearer token authorization header (format: Bearer your_token_here). |
Request Parameters
| Name | Type | Description |
|---|---|---|
| roundId | string | Unique identifier of the game round |
Response Parameters
| Name | Type | Description |
|---|---|---|
| actions | array | Array of player actions in the game round |
| Name | Type | Description |
|---|---|---|
| game | object | Game information (uuid, name, softwareProvider, gameCode) |
| player | object | Player information (login, currency, uuid) |
| windowId | number | Game window identifier |
| betId | number | Bet identifier |
| actionId | number | Action sequence number |
| timestamp | string | Action timestamp (format: “YYYY-MM-DD HH:mm:ss.SSS”) |
| currency | string | Transaction currency |
| bet | number | Bet amount in original currency |
| betEur | number | Bet amount in EUR |
| betUsd | number | Bet amount in USD |
| win | number | Win amount in original currency |
| winEur | number | Win amount in EUR |
| winUsd | number | Win amount in USD |
| action | string | Action details string |
Implementation Guide
1. Embed History Viewer
Add the following iframe element to your page to display the game history:<iframe id="history"
width="800"
height="600"
src="http://back-office.b-cdn.net/#/action/short"
style="display:none;"
>
</iframe>
2. Display History Data
Use the following JavaScript code to send the response data to the iframe:const data = "..." //response here
const frame = document.getElementById("history");
const frameWindow = frame.contentWindow;
frameWindow.postMessage(JSON.parse(data), "*");
frame.style.display = "block"
Possible Errors
| messageKey | message |
|---|---|
| error.player.id.not.found | Player not found by id=[$id] |
| error.operator.id.not.found | Operator not found by id=[$id] |
| error.user.no.access.operator | User[uuid = $userUuid] has no access to Operator[uuid = $operatorUuid] |
| error.game.id.not.found | Game not found by id=[$id] |
⌘I